
QGIS Application - Bug report #17954

QGIS 2.99 crash on launch

2018-01-25 09:37 AM - Arthur Vignacq

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:master Regression?: No

Operating System: OsX 10.12 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 25850

Description

I have QGIS 3 development installed on my mac (Osx 10.12) with Homebrew. I was able to use it, with some litle bugs but it was quite ok.

Since I installed it a while ago I just updated everything with "brew update" and "brew upgrade" and now QGIS 3 won't launch. I can see

the logo when launching, but then it close with error:

    Process: QGIS [5385] Path:

    /usr/local/Cellar/qgis3-dev/2.99/QGIS.app/Contents/MacOS/QGIS Identifier: org.qgis.qgis3-hb-dev Version:

    2.99.0 (2.99.0 []) Code Type: X86-64 (Native) Parent Process: ??? [1] Responsible: QGIS [5385] User ID:

    502

    Date/Time: 2018-01-24 10:41:44.938 +0100 OS Version:

    Mac OS X 10.12.6 (16G1114) Report Version: 12 Anonymous UUID:

    62834CFA-E41B-C521-2698-5B09C16F3580

    Sleep/Wake UUID: DA1E9400-C3AA-4F13-A44D-B76989F8144A

    System Integrity Protection: enabled

    Crashed Thread: 0 Dispatch queue: com.apple.main-thread

    Exception Type: EXC_CRASH (SIGABRT) Exception Codes:

    0x0000000000000000, 0x0000000000000000 Exception Note:

    EXC_CORPSE_NOTIFY

    Application Specific Information: abort() called

    Thread 0 Crashed:: Dispatch queue: com.apple.main-thread 0

    libsystem_kernel.dylib 0x00007fffa0c95d42 __pthread_kill + 10 1 libsystem_pthread.dylib 0x00007fffa0d83457 pthread_kill +

90 2 libsystem_c.dylib 0x00007fffa0bfb420 abort + 129 3 org.qgis.qgis3-hb-dev 0x00000001012f5826

myMessageOutput(QtMsgType, char const*) + 502 4

    org.qt-project.QtCore 0x0000000108428a86 0x10840c000 + 117382 5 org.qt-project.QtCore 0x0000000108422bba

0x10840c000 + 93114 6 org.qt-project.QtCore 0x000000010842465f QMessageLogger::fatal(char const*, ...) const + 159 7

    org.qt-project.QtCore 0x0000000108620cc9 QObjectPrivate::QObjectPrivate(int) + 217 8 libqsqlite.dylib

    0x00000001113feb26 0x1113f7000 + 31526 9 libqsqlite.dylib

    0x00000001113fc2d5 0x1113f7000 + 21205 10 libqsqlite.dylib

    0x00000001113fff28 0x1113f7000 + 36648 11 org.qt-project.QtSql

    0x00000001049079d5 0x104900000 + 31189 12 org.qt-project.QtSql

    0x0000000104906b9f QSqlDatabase::addDatabase(QString const&, QString const&) + 111 13 org.qgis.qgis3_core

0x00000001037babb6 QgsAuthManager::authDatabaseConnection() const + 134 14 org.qgis.qgis3_core 0x00000001037d5530
QgsAuthManager::sslCertCustomConfigByHost(QString const&) + 80 15 org.qgis.qgis3_core 0x0000000103a3fe6f

QgsNetworkAccessManager::createRequest(QNetworkAccessManager::Operation, QNetworkRequest const&, QIODevice*) +

1823 16 org.qt-project.QtNetwork 0x00000001062ac6fe QNetworkAccessManager::get(QNetworkRequest const&) + 30 17

libqgis_app.2.99.0.dylib 0x000000010189a69b QgsVersionInfo::checkVersion() + 75 18 libqgis_app.2.99.0.dylib

    0x000000010189d6d2 QgsWelcomePage::QgsWelcomePage(bool, QWidget*) + 1474 19 libqgis_app.2.99.0.dylib

0x00000001016dd97c QgisApp::QgisApp(QSplashScreen*, bool, bool, QString const&, QString const&, QWidget*, QFlags) +

4508 20 org.qgis.qgis3-hb-dev 0x00000001012fb56b main + 23739 21 libdyld.dylib 0x00007fffa0b67235 start + 1

    Thread 1: 0 libsystem_kernel.dylib 0x00007fffa0c9644e __workq_kernreturn + 10 1 libsystem_pthread.dylib

0x00007fffa0d80621 _pthread_wqthread + 1426 2

    libsystem_pthread.dylib 0x00007fffa0d8007d start_wqthread + 13

    Thread 2: 0 libsystem_kernel.dylib 0x00007fffa0c9644e __workq_kernreturn + 10 1 libsystem_pthread.dylib

0x00007fffa0d80621 _pthread_wqthread + 1426 2

    libsystem_pthread.dylib 0x00007fffa0d8007d start_wqthread + 13

    Thread 3: 0 libsystem_kernel.dylib 0x00007fffa0c9644e __workq_kernreturn + 10 1 libsystem_pthread.dylib

0x00007fffa0d8048e _pthread_wqthread + 1023 2

    libsystem_pthread.dylib 0x00007fffa0d8007d start_wqthread + 13

    Thread 4: 0 libsystem_kernel.dylib 0x00007fffa0c9644e __workq_kernreturn + 10 1 libsystem_pthread.dylib

0x00007fffa0d8048e _pthread_wqthread + 1023 2

    libsystem_pthread.dylib 0x00007fffa0d8007d start_wqthread + 13

    Thread 5: 0 libsystem_kernel.dylib 0x00007fffa0c9644e __workq_kernreturn + 10 1 libsystem_pthread.dylib

0x00007fffa0d80621 _pthread_wqthread + 1426 2

    libsystem_pthread.dylib 0x00007fffa0d8007d start_wqthread + 13

    Thread 6:: com.apple.NSEventThread 0 libsystem_kernel.dylib

    0x00007fffa0c8e34a mach_msg_trap + 10 1 libsystem_kernel.dylib

    0x00007fffa0c8d797 mach_msg + 55 2 com.apple.CoreFoundation

    0x00007fff8ae1f874 __CFRunLoopServiceMachPort + 212 3

    com.apple.CoreFoundation 0x00007fff8ae1ecf1 __CFRunLoopRun + 1361 4 com.apple.CoreFoundation 0x00007fff8ae1e544

CFRunLoopRunSpecific + 420 5 com.apple.AppKit

    0x00007fff88a61f02 _NSEventThread + 205 6 libsystem_pthread.dylib

    0x00007fffa0d8093b _pthread_body + 180 7 libsystem_pthread.dylib

    0x00007fffa0d80887 _pthread_start + 286 8 libsystem_pthread.dylib

    0x00007fffa0d8008d thread_start + 13

    Thread 7:: Qt bearer thread 0 libsystem_kernel.dylib

    0x00007fffa0c9719e poll + 10 1 org.qt-project.QtCore

    0x000000010864d620 qt_safe_poll(pollfd*, unsigned int, timespec const*) + 112 2 org.qt-project.QtCore

0x000000010864ee19 QEventDispatcherUNIX::processEvents(QFlags) + 857 3 org.qt-project.QtCore 0x00000001085f5dae

QEventLoop::exec(QFlags) + 398 4

    org.qt-project.QtCore 0x00000001084352b2 QThread::exec() + 114 5 org.qt-project.QtCore 0x00000001084393cc

0x10840c000 + 185292 6 libsystem_pthread.dylib 0x00007fffa0d8093b _pthread_body + 180 7 libsystem_pthread.dylib

0x00007fffa0d80887 _pthread_start + 286 8 libsystem_pthread.dylib

    0x00007fffa0d8008d thread_start + 13

    Thread 0 crashed with X86 Thread State (64-bit): rax: 0x0000000000000000 rbx: 0x0000000000000006 rcx:

0x00007fff5e916608 rdx: 0x0000000000000000 rdi: 0x0000000000000307 rsi: 0x0000000000000006 rbp: 0x00007fff5e916630

rsp: 0x00007fff5e916608

    r8: 0x0000000000000040 r9: 0x00007fffa9ac6040 r10: 0x0000000008000000 r11: 0x0000000000000206 r12:
0x00000001088fc408 r13: 0x00000001088fc408 r14: 0x00007fffa9ae23c0 r15: 0x00007fff5e9167d0 rip: 0x00007fffa0c95d42

rfl: 0x0000000000000206 cr2: 0x00007fffa9ac4128 Logical CPU: 0 Error Code:

    0x02000148 Trap Number: 133

What do you think would be possible to do?

History

#1 - 2018-01-26 09:49 PM - Nyall Dawson

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #17916

#2 - 2018-01-30 09:54 AM - Arthur Vignacq

- Status changed from Closed to Reopened

Nyall Dawson wrote:

Duplicate of #17916

Why closing this? It doesn't look like the same problem as the one mentioned. The crash is at launch not with any vector layer issue.

#3 - 2018-01-30 10:36 AM - Nyall Dawson

- Status changed from Reopened to Closed

Qt 5.10 builds are experiencing all kind of instability, which is what #17916 describes. They all likely have the same cause, which may be an issue in the qt

library itself.

2025-05-17 3/3


